Package rdkit :: Package ML :: Package Data :: Module Transforms

[hide private]
[frames] | no frames]

# Module Transforms

source code

Functions | [hide private]

_CenterTForm(dataSet) INTERNAL USE ONLY | source code

_NormalizeTForm(dataSet) INTERNAL USE ONLY | source code

_StandardTForm(dataSet) INTERNAL USE ONLY | source code

GetAvailTransforms() returns the list of available data transformations | source code

Variables | [hide private]

| _availTransforms = `[('Center', _CenterTForm, 'translates so th`...``

Imports: numpy

Function Details | [hide private]

### GetAvailTransforms()

source code

    returns the list of available data transformations

    **Returns**

      a list of 3-tuples

        1) name of the transform (text)

        2) function describing the transform (should take an
           _MLDataSet_ as an argument)

        3) description of the transform (text)

Variables Details | [hide private]

### _availTransforms

Value:

      [('Center', _CenterTForm, 'translates so that mean(x)=0'), ('Normalize
      ', _NormalizeTForm, 'scales so that dot(x,x)=1'), ('Standardize', _Sta
      ndardTForm, 'scales so that dev(x)=0'),]